%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 16

%global python_major python%{py_major}

%global pkgname sphinx-removed-in

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        0.2.1
Release:        3
Summary:        versionremoved and removed-in directives for Sphinx
License:        BSD
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/s/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:	%{python_major}-sphinx >= 2.3.0


%description
This is a Sphinx extension which recognizes the versionremoved and removed-in
directives.


%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-sphinx >= 2.3.0

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}
%{python_major} -m venv python_venv
. ./python_venv/bin/activate
pip3.9 install sphinx_testing
%{python_major} setup.py test || true
deactivate
%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst
%{python3_sitearch}/*
%exclude %{python3_sitearch}/tests

%files -n %{meta_package}
%defattr(-,root,system,-)
#Empty

%changelog
* Fri Jun 16 2023 Reshma V Kumar <reskumar@in.ibm.com> - 0.2.1-3
- Rebuild to remove %{python3_sitearch}/tests files

* Fri Feb 24 2023 Reshma V Kumar <reskumar@in.ibm.com> - 0.2.1-2
- Sphinx-removed-in for python3.9
